For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
            • POSTCreate Site
            • GETList Sites
            • GETGet Site
            • PUTUpdate Site
            • DELDelete Site
              • GETGet Site’s Routes
              • POSTCreate Site Route
              • PUTUpdate Site’s Routes
              • GETGet Site Route
              • PUTUpdate Site Route
              • DELDelete Site Route
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementSitesSite Routes

Get Site’s Routes

GET
https://api.bigcommerce.com/stores/:store_hash/v3/sites/:site_id/routes
GET
/stores/:store_hash/v3/sites/:site_id/routes
$curl https://api.bigcommerce.com/stores/store_hash/v3/sites/1/routes \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200response
1{
2 "data": [
3 {
4 "id": 101,
5 "matching": "12345",
6 "route": "/products?id={id}",
7 "type": "product"
8 },
9 {
10 "id": 102,
11 "matching": "summer-collection",
12 "route": "/category/{slug}",
13 "type": "category"
14 }
15 ],
16 "meta": {
17 "pagination": {
18 "total": 2,
19 "count": 2,
20 "per_page": 50,
21 "current_page": 1,
22 "total_pages": 1
23 }
24 }
25}

Get a site’s routes.

Was this page helpful?
Previous

List Site Certificates

Next

Create Site Route

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Channel Listings | modify | `store_channel_listings` | | Channel Listings | read-only | `store_channel_listings_read_only` | | Channel Settings | modify | `store_channel_settings` | | Channel Settings | read-only | `store_channel_settings_read_only` | | Sites & Routes | modify | `store_sites` | | Sites & Routes | read-only | `store_sites_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

site_idintegerRequired
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

typestringOptional
Filter routes by a specified resource type.
pageintegerOptional

Specifies the page number in a limited (paginated) list of items.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of items.

Response

datalist of objects
metaobject
Meta data relating to pagination.

OAuth scopes

UI NamePermissionParameter
Channel Listingsmodifystore_channel_listings
Channel Listingsread-onlystore_channel_listings_read_only
Channel Settingsmodifystore_channel_settings
Channel Settingsread-onlystore_channel_settings_read_only
Sites & Routesmodifystore_sites
Sites & Routesread-onlystore_sites_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.